GrailsVersionUtils (Grails 6.0.0)

Package: grails.plugins

## [Groovy] Class GrailsVersionUtils

- grails.plugins.GrailsVersionUtils

-     @groovy.transform.CompileStatic
      class GrailsVersionUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsVersionUtils ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.lang.String` | `getLowerVersion(java.lang.String pluginVersion)` Returns the lower version of a Grails version number expression in a plugin
    `` | `static java.lang.String` | `getPluginName(java.lang.Class clazz)` Get the name of the a plugin for a particular class.
    `` | `static java.lang.String` | `getPluginVersion(java.lang.Class clazz)` Get the version of the a plugin for a particular class.
    `` | `private static java.lang.Object` | `getPluginVersionInternal(java.lang.String pluginVersion, java.lang.Integer index)`
    `` | `static java.lang.String` | `getUpperVersion(java.lang.String pluginVersion)` Returns the upper version of a Grails version number expression in a plugin
    `` | `static boolean` | `isValidVersion(java.lang.String pluginVersion, java.lang.String requiredVersion)` Check if the required version is a valid for the given plugin version.
    `` | `static boolean` | `isVersionGreaterThan(java.lang.String leftVersion, java.lang.String rightVersion)` Returns true if rightVersion is greater than leftVersion
    `` | `static boolean` | `supportsAtLeastVersion(java.lang.String pluginVersion, java.lang.String requiredVersion)`
    `` | `private static java.lang.String` | `trimTag(java.lang.String pluginVersion)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### GrailsVersionUtils()

  - ### Method Detail

    - #### static java.lang.String getLowerVersion(java.lang.String pluginVersion)

      Returns the lower version of a Grails version number expression in a plugin

    - #### @groovy.transform.CompileStatic static java.lang.String getPluginName(java.lang.Class clazz)

      Get the name of the a plugin for a particular class.

    - #### @groovy.transform.CompileStatic static java.lang.String getPluginVersion(java.lang.Class clazz)

      Get the version of the a plugin for a particular class.

    - #### private static java.lang.Object getPluginVersionInternal(java.lang.String pluginVersion, java.lang.Integer index)

    - #### static java.lang.String getUpperVersion(java.lang.String pluginVersion)

      Returns the upper version of a Grails version number expression in a plugin

    - #### static boolean isValidVersion(java.lang.String pluginVersion, java.lang.String requiredVersion)

      Check if the required version is a valid for the given plugin version.

      Parameters:
        `pluginVersion` - The plugin version
        `requiredVersion` - The required version
      Returns:
        true if it is valid

    - #### static boolean isVersionGreaterThan(java.lang.String leftVersion, java.lang.String rightVersion)

      Returns true if rightVersion is greater than leftVersion @return

      Parameters:
        leftVersion
        rightVersion

    - #### static boolean supportsAtLeastVersion(java.lang.String pluginVersion, java.lang.String requiredVersion)

    - #### private static java.lang.String trimTag(java.lang.String pluginVersion)